Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
02132 DIP/Input Major Always Aug 19, 2008, 18:41 Jan 31, 2014, 13:36
Tester LastNinja2 View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS
Status [?] Resolved Driver snesb.cpp
Version 0.127 Fixed in Version 0.147u2 Build Normal
Summary 02132: ffight2b: Two DIP/Input issues
Description This game has two input problems:

 - The credits never decrease;

 - The lives dip is set at 3 but you only have one life during the game. Changing the number doesn't affect the gameplay.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems ffight2b
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
4
User avatar
No.02134
Haze
Senior Tester
Aug 19, 2008, 22:47
some kind of protection device handles the coins / dips, it's partially simulated.
User avatar
No.02137
stephh
Developer
Aug 20, 2008, 09:31
In this game, Dip Switches seem to be mapped at 0x770071 (check code starting at 0x80fa06). I don't know how to handle this though due to the way memory is mapped.

Also look at address 0x770073 and code at 0xc17b10 for 'kinstb' where coinage seems to be handled.
User avatar
No.10217
Osso
Developer
Jan 30, 2014, 18:24
This doesn't repro with MAME 0.152.
User avatar
No.10221
M.A.S.H.
Senior Tester
Jan 31, 2014, 13:36
 Fixed by Angelo Salese (r18578; 0.147u2)